# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

PHP_EXT_NAME="pbms"
PHP_EXT_INI="yes"
PHP_EXT_ZENDEXT="yes"

MY_P=${P/_/-}

inherit php-ext-source-r1 eutils depend.apache autotools

KEYWORDS="~amd64 ~x86 ~arm"

DESCRIPTION="PBMS PHP Extension."
HOMEPAGE="http://www.eaccelerator.net/"
SRC_URI="http://www.blobstreaming.org/download/pbms/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE=""

DEPEND="dev-db/mysql[pbms]"
RDEPEND="${DEPEND}"

# Webserver user and group, here for Apache by default
HTTPD_USER="${HTTPD_USER:-apache}"
HTTPD_GROUP="${HTTPD_GROUP:-apache}"

need_php_by_category
want_apache

S="${WORKDIR}/${MY_P}/php/ext"

pkg_setup() {
	depend.apache_pkg_setup

	has_php

	require_php_sapi_from cgi apache2
}

src_configure() {
	my_conf="--enable-pbms=shared --with-mysql=/usr"
}

src_install() {
	php-ext-source-r1_src_install

	insinto "/usr/share/${PN}-php5/"
	doins -r docs
	dodoc-php tests/*

	php-ext-base-r1_addtoinifiles "pbms.default_host" '"localhost"'
	php-ext-base-r1_addtoinifiles "pbms.default_port" '"8080"'
	php-ext-base-r1_addtoinifiles "pbms.default_database" '"PBMS_TEST"'
	php-ext-base-r1_addtoinifiles "pbms.pool_size" '"0"'
	php-ext-base-r1_addtoinifiles "pbms.max_connections" '"-1"'
}

pkg_postinst() {
	elog "Please see the files in ${ROOT}usr/share/${PN}-php5/ for some"
	elog "examples and informations on how to use the functions that"
	elog "pbms adds to PHP."
}
